function y = lagpoly(xi,yi,x)
%LAGPOLY polinomio di Lagrange
%  valutato nei punti x
%
%
% 
%  P(x) = SUM [ yi * Li(x) ]
%          i
%

numNodi = length(xi);
y = zeros( size(x) );
for i=1:numNodi
    % aggiungo contributo nodo i-esimo
    y = y+yi(i)*lag(xi,i,x);
end





